Foreman Discovery Image asking for Manual intervention (enter key) 
Status: Resolved   
Assignee:    

Category:    

Target version:    

Difficulty: medium Fixed in Releases:  
Pull request:    

Description

Hi All,

Thanks For Foreman community for this wonderful tool. I started using this from a month and its easy to configure and

documentation steps are also easy to understand.

I am using PXE grub2 template to discover my host using Foreman discovery Image. I am able to discover node and it fetches facts .

But when I am booting from network , boot menu shows "foreman Discovery Image" and after it requires Manual intervention to

Proceed further, I tried to set GRUB_TIMEOUT-0, GRUB_DEFAULT=0, but no luck . Its not showing any time out after which it boots

from discovery image. How we can achieve this? or is there any way I can make it bot without manual intervention.

Thanks you!

Regards,

Malleshi

History

#1 - 09/28/2018 12:20 PM - Malleshi Negalur

- Tracker changed from Bug to Feature

#2 - 09/28/2018 12:23 PM - Malleshi Negalur

I am using foreman version 1.17 and foreman discovery 2.0, on Centos 7

#3 - 10/01/2018 05:43 AM - Malleshi Negalur

- Status changed from New to Resolved

I fixed it by changing default=2 in pxegrub2 template. Hence closing this issue

#4 - 10/01/2018 06:52 AM - Lukas Zapletal

Hello and welcome, glad you fixed it. For these kind of help please use our forums at: https://community.theforeman.org/
